Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.lwjgl.devil
Class ILUT

    java.lang.Object
      org.lwjgl.devil.ILUT

    public class ILUT

extends java.lang.Object

The DevIL ILUT API.

Version:
  $Revision: 2286 $ $Id: ILUT.java 2286 2006-03-23 19:32:21Z matzon $
Author:
  captainjester , Brian Matzon

Field Summary
`protected static boolean` | `created` Have we been created?
`static int` | `ILUT_ALL_ATTRIB_BITS`
`static int` | `ILUT_BAD_DIMENSIONS`
`static int` | `ILUT_COULD_NOT_OPEN_FILE`
`static int` | `ILUT_GL_AUTODETECT_TEXTURE_TARGET`
`static int` | `ILUT_GL_GEN_S3TC`
`static int` | `ILUT_GL_USE_S3TC`
`static int` | `ILUT_ILLEGAL_OPERATION`
`static int` | `ILUT_INVALID_ENUM`
`static int` | `ILUT_INVALID_PARAM`
`static int` | `ILUT_INVALID_VALUE`
`static int` | `ILUT_MAXTEX_DEPTH`
`static int` | `ILUT_MAXTEX_HEIGHT`
`static int` | `ILUT_MAXTEX_WIDTH`
`static int` | `ILUT_NOT_SUPPORTED`
`static int` | `ILUT_OPENGL`
`static int` | `ILUT_OPENGL_BIT`
`static int` | `ILUT_OPENGL_CONV`
`static int` | `ILUT_OUT_OF_MEMORY`
`static int` | `ILUT_PALETTE_MODE`
`static int` | `ILUT_STACK_OVERFLOW`
`static int` | `ILUT_STACK_UNDERFLOW`
`static int` | `ILUT_VENDOR`
`static int` | `ILUT_VERSION_NUM`

Constructor Summary
`ILUT()`

Method Summary
`static void` | `create()` Creates a new instance of ILUT.
`static void` | `destroy()` Exit cleanly by calling destroy.
`static boolean` | `ilutDisable(int mode)`
`static boolean` | `ilutEnable(int mode)`
`static boolean` | `ilutGetBoolean(int mode)`
`static void` | `ilutGetBooleanv(int mode, java.nio.ByteBuffer param)`
`static int` | `ilutGetInteger(int mode)`
`static void` | `ilutGetIntegerv(int mode, java.nio.IntBuffer Param)`
`static java.lang.String` | `ilutGetString(int stringName)`
`static int` | `ilutGLBindMipmaps()`
`static int` | `ilutGLBindTexImage()`
`static boolean` | `ilutGLBuildMipmaps()`
`static int` | `ilutGLLoadImage(java.lang.String fileName)`
`static boolean` | `ilutGLSaveImage(java.lang.String fileName, int texID)`
`static boolean` | `ilutGLScreen()`
`static boolean` | `ilutGLScreenie()`
`static boolean` | `ilutGLSetTex(int texID)`
`static boolean` | `ilutGLTexImage(int level)`
`static boolean` | `ilutIsDisabled(int mode)`
`static boolean` | `ilutIsEnabled(int mode)`
`static void` | `ilutPopAttrib()`
`static void` | `ilutPushAttrib(int bits)`
`static boolean` | `ilutRenderer(int renderer)`
`static void` | `ilutSetInteger(int Mode, int param)`
`static boolean` | `isCreated()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ILUT_OPENGL_BIT

    public static final int ILUT_OPENGL_BIT

See Also:
  Constant Field Values

### ILUT_ALL_ATTRIB_BITS

    public static final int ILUT_ALL_ATTRIB_BITS

See Also:
  Constant Field Values

### ILUT_INVALID_ENUM

    public static final int ILUT_INVALID_ENUM

See Also:
  Constant Field Values

### ILUT_OUT_OF_MEMORY

    public static final int ILUT_OUT_OF_MEMORY

See Also:
  Constant Field Values

### ILUT_INVALID_VALUE

    public static final int ILUT_INVALID_VALUE

See Also:
  Constant Field Values

### ILUT_ILLEGAL_OPERATION

    public static final int ILUT_ILLEGAL_OPERATION

See Also:
  Constant Field Values

### ILUT_INVALID_PARAM

    public static final int ILUT_INVALID_PARAM

See Also:
  Constant Field Values

### ILUT_COULD_NOT_OPEN_FILE

    public static final int ILUT_COULD_NOT_OPEN_FILE

See Also:
  Constant Field Values

### ILUT_STACK_OVERFLOW

    public static final int ILUT_STACK_OVERFLOW

See Also:
  Constant Field Values

### ILUT_STACK_UNDERFLOW

    public static final int ILUT_STACK_UNDERFLOW

See Also:
  Constant Field Values

### ILUT_BAD_DIMENSIONS

    public static final int ILUT_BAD_DIMENSIONS

See Also:
  Constant Field Values

### ILUT_NOT_SUPPORTED

    public static final int ILUT_NOT_SUPPORTED

See Also:
  Constant Field Values

### ILUT_PALETTE_MODE

    public static final int ILUT_PALETTE_MODE

See Also:
  Constant Field Values

### ILUT_OPENGL_CONV

    public static final int ILUT_OPENGL_CONV

See Also:
  Constant Field Values

### ILUT_MAXTEX_WIDTH

    public static final int ILUT_MAXTEX_WIDTH

See Also:
  Constant Field Values

### ILUT_MAXTEX_HEIGHT

    public static final int ILUT_MAXTEX_HEIGHT

See Also:
  Constant Field Values

### ILUT_MAXTEX_DEPTH

    public static final int ILUT_MAXTEX_DEPTH

See Also:
  Constant Field Values

### ILUT_GL_USE_S3TC

    public static final int ILUT_GL_USE_S3TC

See Also:
  Constant Field Values

### ILUT_GL_GEN_S3TC

    public static final int ILUT_GL_GEN_S3TC

See Also:
  Constant Field Values

### ILUT_GL_AUTODETECT_TEXTURE_TARGET

    public static final int ILUT_GL_AUTODETECT_TEXTURE_TARGET

See Also:
  Constant Field Values

### ILUT_OPENGL

    public static final int ILUT_OPENGL

See Also:
  Constant Field Values

### ILUT_VENDOR

    public static final int ILUT_VENDOR

See Also:
  Constant Field Values

### ILUT_VERSION_NUM

    public static final int ILUT_VERSION_NUM

See Also:
  Constant Field Values

### created

    protected static boolean created

  Have we been created?

Constructor Detail

### ILUT

    public ILUT()

Method Detail

### ilutRenderer

    public static boolean ilutRenderer(int renderer)

### ilutDisable

    public static boolean ilutDisable(int mode)

### ilutEnable

    public static boolean ilutEnable(int mode)

### ilutGetBoolean

    public static boolean ilutGetBoolean(int mode)

### ilutGetInteger

    public static int ilutGetInteger(int mode)

### ilutGetBooleanv

    public static void ilutGetBooleanv(int mode,
                                       java.nio.ByteBuffer param)

### ilutGetIntegerv

    public static void ilutGetIntegerv(int mode,
                                       java.nio.IntBuffer Param)

### ilutGetString

    public static java.lang.String ilutGetString(int stringName)

### ilutIsDisabled

    public static boolean ilutIsDisabled(int mode)

### ilutIsEnabled

    public static boolean ilutIsEnabled(int mode)

### ilutPopAttrib

    public static void ilutPopAttrib()

### ilutPushAttrib

    public static void ilutPushAttrib(int bits)

### ilutSetInteger

    public static void ilutSetInteger(int Mode,
                                      int param)

### ilutGLBindTexImage

    public static int ilutGLBindTexImage()

### ilutGLBindMipmaps

    public static int ilutGLBindMipmaps()

### ilutGLBuildMipmaps

    public static boolean ilutGLBuildMipmaps()

### ilutGLLoadImage

    public static int ilutGLLoadImage(java.lang.String fileName)

### ilutGLScreen

    public static boolean ilutGLScreen()

### ilutGLScreenie

    public static boolean ilutGLScreenie()

### ilutGLSaveImage

    public static boolean ilutGLSaveImage(java.lang.String fileName,
                                          int texID)

### ilutGLSetTex

    public static boolean ilutGLSetTex(int texID)

### ilutGLTexImage

    public static boolean ilutGLTexImage(int level)

### create

    public static void create()
                       throws LWJGLException

  Creates a new instance of ILUT. Cannot be created unless IL has been created.

  Throws:
    `LWJGLException`

### destroy

    public static void destroy()

  Exit cleanly by calling destroy.

### isCreated

    public static boolean isCreated()

  Returns:
    true if ILUT has been created

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2006 lwjgl.org. All Rights Reserved.